AbstractHttp11JsseProtocol (Apache Tomcat 9.0.37 API Documentation)

org.apache.coyote.http11

## Class AbstractHttp11JsseProtocol<S>

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<S>
    - - org.apache.coyote.http11.AbstractHttp11JsseProtocol<S>

- All Implemented Interfaces:
    MBeanRegistration, ProtocolHandler
  Direct Known Subclasses:
    Http11Nio2Protocol, Http11NioProtocol

      public abstract class AbstractHttp11JsseProtocol<S>
      extends AbstractHttp11Protocol<S>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

      `AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

  - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `sm`

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol

      `adapter, domain, mserver, oname, processorCache, rgOname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHttp11JsseProtocol(AbstractJsseEndpoint<S,?> endpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractJsseEndpoint<S,?>` | `getEndpoint()` Over-ridden here to make the method visible to nested classes.
    `int` | `getSniParseLimit()`
    `String` | `getSslImplementationName()`
    `protected String` | `getSslImplementationShortName()`
    `void` | `setSniParseLimit(int sniParseLimit)`
    `void` | `setSslImplementationName(String s)`

    - ### Methods inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `addAllowedTrailerHeader, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, findSslHostConfigs, findUpgradeProtocols, getAlgorithm, getAllowedTrailerHeaders, getAllowedTrailerHeadersInternal, getAllowHostHeaderMismatch, getCiphers, getClientAuth, getCompressibleMimeType, getCompressibleMimeTypes, getCompression, getCompressionLevel, getCompressionMinSize, getConnectionUploadTimeout, getCrlFile, getDefaultSSLHostConfigName, getDisableUploadTimeout, getKeyAlias, getKeyPass, getKeystoreFile, getKeystorePass, getKeystoreProvider, getKeystoreType, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNegotiatedProtocol, getNoCompressionStrongETag, getNoCompressionUserAgents, getNoCompressionUserAgentsPattern, getProtocolName, getRejectIllegalHeader, getRejectIllegalHeaderName, getRelaxedPathChars, getRelaxedQueryChars, getRestrictedUserAgents, getRestrictedUserAgentsPattern, getSecure, getServer, getServerRemoveAppProvidedValues, getSessionCacheSize, getSessionTimeout, getSSLCACertificateFile, getSSLCACertificatePath, getSSLCARevocationFile, getSSLCARevocationPath, getSSLCertificateChainFile, getSSLCertificateFile, getSSLCertificateKeyFile, getSSLCipherSuite, getSSLDisableCompression, getSSLDisableSessionTickets, getSslEnabledProtocols, getSSLHonorCipherOrder, getSSLPassword, getSslProtocol, getSSLProtocol, getSSLVerifyClient, getSSLVerifyDepth, getTrustManagerClassName, getTrustMaxCertLength, getTruststoreAlgorithm, getTruststoreFile, getTruststorePass, getTruststoreProvider, getTruststoreType, getUpgradeProtocol, getUseKeepAliveResponseHeader, getUseSendfile, getUseServerCipherSuitesOrder, init, isSSLEnabled, reloadSslHostConfig, reloadSslHostConfigs, removeAllowedTrailerHeader, setAlgorithm, setAllowedTrailerHeaders, setAllowHostHeaderMismatch, setCiphers, setClientAuth, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setCrlFile, setDefaultSSLHostConfigName, setDisableUploadTimeout, setKeyAlias, setKeyPass, setKeystoreFile, setKeystorePass, setKeystoreProvider, setKeystoreType, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionStrongETag, setNoCompressionUserAgents, setRejectIllegalHeader, setRejectIllegalHeaderName, setRelaxedPathChars, setRelaxedQueryChars, setRestrictedUserAgents, setSecure, setServer, setServerRemoveAppProvidedValues, setSessionCacheSize, setSessionTimeout, setSSLCACertificateFile, setSSLCACertificatePath, setSSLCARevocationFile, setSSLCARevocationPath, setSSLCertificateChainFile, setSSLCertificateFile, setSSLCertificateKeyFile, setSSLCipherSuite, setSSLDisableCompression, setSSLDisableSessionTickets, setSSLEnabled, setSslEnabledProtocols, setSSLHonorCipherOrder, setSSLPassword, setSslProtocol, setSSLProtocol, setSSLVerifyClient, setSSLVerifyDepth, setTrustManagerClassName, setTrustMaxCertLength, setTruststoreAlgorithm, setTruststoreFile, setTruststorePass, setTruststoreProvider, setTruststoreType, setUseKeepAliveResponseHeader, setUseSendfile, setUseServerCipherSuitesOrder, useCompression`

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol

      `addWaitingProcessor, closeServerSocketGraceful, destroy, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getHandler, getKeepAliveTimeout, getLocalPort, getLog, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getNamePrefix, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, isAprRequired, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, start, startAsyncTimeout, stop, stopAsyncTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.coyote.ProtocolHandler

      `create, getDesiredBufferSize`

- - ### Constructor Detail

    - #### AbstractHttp11JsseProtocol

          public AbstractHttp11JsseProtocol(AbstractJsseEndpoint<S,?> endpoint)

  - ### Method Detail

    - #### getEndpoint

          protected AbstractJsseEndpoint<S,?> getEndpoint()

      Description copied from class: `AbstractHttp11Protocol`

      Over-ridden here to make the method visible to nested classes.

      Overrides:
        `getEndpoint` in class `AbstractHttp11Protocol<S>`

    - #### getSslImplementationShortName

          protected String getSslImplementationShortName()

    - #### getSslImplementationName

          public String getSslImplementationName()

    - #### setSslImplementationName

          public void setSslImplementationName(String s)

    - #### getSniParseLimit

          public int getSniParseLimit()

    - #### setSniParseLimit

          public void setSniParseLimit(int sniParseLimit)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.